Retrieve all scan forms
A list of all ScanForm objects associated with the given API Key can also
be retrieved.
Query Parameters
- Type: stringreference
Filter by exact reference (e.g., merchant-defined identifier).
- Type: stringstart
_datetime Filter: created_at >= start_datetime (ISO8601).
- Type: stringend
_datetime Filter: created_at <= end_datetime (ISO8601).
- Type: integerpage
Page number (page-based pagination). If present, before_id/after_id are ignored.
- Type: stringbefore
_id Cursor: return records created before this id (used when page is NOT provided).
- Type: stringafter
_id Cursor: return records created after this id (used when page is NOT provided).
- Type: booleansummary
If true, returns a lighter summary payload (via ScanFormSummary serializer).
Responses
- application/json
- 401
Unauthorized request
Request Example for get/scan_forms
curl 'https://api.test.vesyl.com/v2/scan_forms?reference=SCAN123&start_datetime=2024-01-01T00%3A00%3A00Z&end_datetime=2024-12-31T23%3A59%3A59Z&page=1&before_id=sf_001&after_id=sf_050&summary=true' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"scan_forms": [],
"has_more": false,
"total_count": 42
}